no icons for menu, folders, directories, files

Bug #1509562 reported by bathynomusBLUE on 2015-10-23
196
This bug affects 39 people
Affects Status Importance Assigned to Milestone
dolphin (Ubuntu)
High
Unassigned
kate (Ubuntu)
High
Unassigned
kdepim (Ubuntu)
High
Unassigned
konsole (Ubuntu)
High
Unassigned
kstars (Ubuntu)
Undecided
Unassigned
qtbase-opensource-src (Ubuntu)
High
Unassigned

Bug Description

no icons for menu, folders, directories, files

I am using Xubuntu 15.10 as the Guest in Virtualbox 5.0.8 r103449. This happened after a recent Xubuntu update.

Info:
$ apt-cache policy dolphin
dolphin:
  Installed: 4:15.08.2-0ubuntu1
  Candidate: 4:15.08.2-0ubuntu1
  Version table:
 *** 4:15.08.2-0ubuntu1 0
        500 http://mirror.cogentco.com/pub/linux/ubuntu/ wily/universe amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: dolphin 4:15.08.2-0ubuntu1
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic x86_64
ApportVersion: 2.19.1-0ubuntu3
Architecture: amd64
Date: Fri Oct 23 17:35:08 2015
InstallationDate: Installed on 2015-06-01 (144 days ago)
InstallationMedia: Xubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150521)
ProcEnviron:
 LANGUAGE=en_US
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: dolphin
UpgradeStatus: No upgrade log present (probably fresh install)

bathynomusBLUE (bathynomusblue) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in dolphin (Ubuntu):
status: New → Confirmed
Trogel (trogel) wrote :

Same for me. Also affects (at least) kate and konsole. In kate all icons in the toolbars are missing. dolphin4 and konqueror are not affected. I noticed this after upgrade from xubuntu 15.04 to 15.10. I have reproduced it in a fresh install of xubuntu 15.10 in a VirtualBox.

The icons are missing only in a xubuntu session with xfce4, but in a plasma session everything is fine. So this does not seem to be caused by a missing package.

Trogel (trogel) wrote :
Trogel (trogel) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kate (Ubuntu):
status: New → Confirmed
Changed in konsole (Ubuntu):
status: New → Confirmed
Torbjörn Rathsman (milasudril) wrote :

I also experience this bug. I have tested on both i686 and amd64 and the same bug appears. Another interesting thing is that installing the full KDE package only solves the problem if I launch a Plasma session, so there may be some issue with login scripts. I can also add that Kile, which is largely based on same components as Kate, is not affected.

tags: added: i386
Changed in dolphin (Ubuntu):
importance: Undecided → High
Changed in konsole (Ubuntu):
importance: Undecided → High
Changed in kate (Ubuntu):
importance: Undecided → High
Trogel (trogel) wrote :

My impression is that the affected KDE applications now rely on Qt5's QIcon::fromTheme(...) to locate the icons. This is in line with the documentation of KIconLoader::loadIconSet(...) (from source package kiconthemes_5.15.0-0ubuntu1) that says: "@deprecated use QIcon::fromTheme instead, which uses the iconloader internally".

But it seems that Qt5 only supports the very basic 'hicolor' icon theme when not running in a KDE or Gnome session. The method themeHint(ThemeHint hint) of the classes QKdeTheme and QGnomeTheme support the hint QPlatformTheme::SystemIconThemeName, whereas the implementation of this method for the class QGenericUnixTheme does not support that hint (soruce package qtbase-opensource-src_5.4.2+dfsg-2ubuntu9, file src/platformsupport/themes/genericunix/qgenericunixthemes.cpp). Therefore, I assume, the systems falls back to the fallback theme 'hicolor' using the hint QPlatformTheme::SystemIconFallbackThemeName. It seems that 'hicolor' lacks of most icons needed by kate and the other applications.

So it possibly requires a change in Qt5 rather than in specific KDE applications or the KDE framework to get the icons back in these applications when running in Xfce.

For a test (and as a rather dirty workaround) I have moved /usr/share/icons/hicolor out of the way and replaced it with a symlink to some other icon theme like 'oxygen' or 'elementary-xfce-darker'. For example:

$ cd /usr/share/icons
$ sudo mv hicolor/ hicolor-bkp
$ sudo ln -s elementary-xfce-darker hicolor

Then I started kate, konsole, and dolphin manually from a terminal window and they had most or even all of the missing icons back. When started them from a launcher (from the panel in my case), the icons were still missing. Now, after a fresh login to Xubuntu, the affected applications have most or all of the missing icons, regardless of the way I start them.

On the downside, now some other icons are missing. For instance, the application icons of konqueror, kate, and other KDE applications are missing in the launchers and in the Whisker Menu. But for the time being I prefer to have a usable kate and happily accept some missing application icons.

Dmitry Shachnev (mitya57) wrote :

On Xfce, try installing libqt5libqgtk2 package, it should fix the issue.

wasMitNetzen (wasmitnetzen) wrote :

Thanks, installing libqt5libqgtk2 brought most of the icons back. Not all of them, but at least the important ones.

E.g. in dolphin, the icons in the places bar for "Root", all of the "Recently saved" entries and in the "Search for" part the icons for "Documents", "Images" and "Audio Files" are still missing. For them, dolphin still reports the "QPixmap::scaled: Pixmap is a null pixmap" message.

Trogel (trogel) wrote :

Yes, it works. Thanks, Dmitry! You made my day!

I see that libqt5libqgtk2 is suggested by libqt5gui5, which in turn is required by kate, konsole, dolphin, and such. Now, on Xubuntu, where I assume that usually Xfce is the preferred desktop enviroment, it does not make much sense to run these applications without libqt5libqgtk2. I wonder if there is a chance to make it a dependency or recommendation of some other Xfce- or KDE-related package - without doing too much harm to those who don't use these applications on Xfce. After all, it would be nice to avoid icon-less KDE applications right from the start.

Dmitry Shachnev (mitya57) wrote :

We are going to make that package a recommendation (so that it will be pulled in by default) with Qt 5.7, where it has been ported to Gtk+3.

FGodard (irgend-launchpad) is right that installing libqt5libqgtk2 only partially solves the problem. Search and Replace icons are still missing in Kate, and so are some of the icons in the save dialog box.

Trogel (trogel) wrote :

I can confirm that unfortunately kate lacks of the search and replace icons, unless I switch the system from the icon theme "elementary Xfce darker" to "Oxygen". Now everything looks quit KDE-ish and less Xfce-like.

Trogel (trogel) wrote :

After looking into the implementation of libqt5libqgtk2, I have additionally installed kde-config-gtk-style and made the following settings to get the search and replace icons displayed in Kate. Also the save dialog looks good, but I did not check it before this change.

* Xfce Settings >> Appearance >> Icons -> "elementary Xfce darker"
(That's what I want to have, wherever possible.)

* Xfce Settings >> KDE System Settings >> Icons >> Icons >> Theme -> "Oxygen"
(It seems that e.g. Konqueror still uses this setting. If an icon is missing, it seems to fall back to "Breeze" (hard-coded?). Setting this option to some "elementary Xfce" theme results in a mix of elementary and Breeze icons when Konqueror is used as file manager. For instance, the view mode icons in the toolbar are Breeze-like. This looks surprising. Therefore I prefer to see Konqueror fully in Oxygen. I wonder whether this setting becomes irrelevant for Konqueror, once that application is also migrated to Qt5's QIcon::fromTheme(...).)

* Xfce Settings >> KDE System Settings >> Application Style >> GNOME Application Style (GTK)
- Icon theme -> "elementary Xfce darker"
- Fallback theme -> "Oxygen"
(This fallback seems to be used by Kate for the search and replace icons. I wonder if they are possibly missing in the "elementary Xfce" theme.)

So far this gives the best appearance since I upgraded from Xubuntu 15.04 to 15.10.

@Torgel. I installed "kde-config-gtk-style", but there is no "KDE System Settings" for me

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in qtbase-opensource-src (Ubuntu):
status: New → Confirmed
Trogel (trogel) wrote :

@milasudril, good point! "KDE System Settings" is in the package systemsettings. Since plasma-desktop depends on systemsettings, I had already installed it and did not mention it. You can find it in the "Xfce Settings" or start it directly as /usr/bin/systemsettings5.

Changed in qtbase-opensource-src (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kdepim (Ubuntu):
status: New → Confirmed
Changed in kdepim (Ubuntu):
importance: Undecided → High
Andrii Senkovych (jollyroger) wrote :

For those who uses standalone window manager instead of gnome/kde/etc but wants icons back there's a workaround: you have to define environment variable XDG_CURRENT_DESKTOP=gnome. Don't know if other values work as well. Source: https://bbs.archlinux.org/viewtopic.php?id=160206

cnbiz850 (cnbiz850) wrote :

@Andrii Senkovych (jollyroger), where can I define XDG_CURRENT_DESKTOP=gnome? I put it in ~/.bashrc and it did not help.

cnbiz850 (cnbiz850) wrote :

Workaround from Comment #16 helps a lot. But I had to install plasma-desktop. Just installing system settings did not work.

Andreas Tetzlaff (andi-t) wrote :

This bug still exists in 16.04 (Xenial Xerus) Beta 2.

Philip Muškovac (yofel) wrote :

This sounds like it's related to the move of the icons from the applications to the icon theme, and the applications not having any safety measures for making sure one is actually installed. Lets see if we can figure something out for yakkety (and xenial)

tags: added: xenial yakkety
Changed in dolphin (Ubuntu):
milestone: none → ubuntu-16.08
Robert Ringlstetter (furumaro) wrote :

I am on Kubuntu 16.04.

adding
XDG_CURRENT_DESKTOP="KDE"
to /etc/environment

solves the problem for me

Yanpas (yanpaso) wrote :

May be related to xfce4-session build problems. See https://bugs.launchpad.net/ubuntu/+source/xfce4-session/+bug/1595714 https://bugzilla.xfce.org/show_bug.cgi?id=12012

I can't build xfce4-session manually. (After I install it, I'm unable to start session)

jvh (xtrajoris) wrote :

so the current workaround is:
* install libqt5libqgtk2
* install systemsettings
* install kde-config-gtk-style
*... And then do what Trogel #16 wrote:

** Xfce Settings >> Appearance >> Icons -> "elementary Xfce darker"
(That's what I want to have, wherever possible.)

** Xfce Settings >> KDE System Settings >> Icons >> Icons >> Theme -> "Oxygen"
(It seems that e.g. Konqueror still uses this setting. If an icon is missing, it seems to fall back to "Breeze" (hard-coded?). Setting this option to some "elementary Xfce" theme results in a mix of elementary and Breeze icons when Konqueror is used as file manager. For instance, the view mode icons in the toolbar are Breeze-like. This looks surprising. Therefore I prefer to see Konqueror fully in Oxygen. I wonder whether this setting becomes irrelevant for Konqueror, once that application is also migrated to Qt5's QIcon::fromTheme(...).)

** Xfce Settings >> KDE System Settings >> Application Style >> GNOME Application Style (GTK)
- Icon theme -> "elementary Xfce darker"
- Fallback theme -> "Oxygen"
(This fallback seems to be used by Kate for the search and replace icons. I wonder if they are possibly missing in the "elementary Xfce" theme.)

Ben Bucksch (benbucksch) wrote :

I saw this bug in Kate and in Gwenview (and probably other KDE apps). Most buttons had no icons at all for me. I had used Menta from MATE as icon theme.
The last comment fixed it. Particularly, selecting "Oxygen" as theme in "KDE system settings" (step 3 above) helped.

Ubuntu: Please fix this. Given that most buttons are icon-only, this bug seriously affects usability. 2 fixes are needed here:
a) Add all icons to all themes (reasonable expectation that I can install KDE apps in Mate and Gnome, and that all offered themes work)
b) There's already the concept of a fallback theme. Set dependencies / install scripts to ensure that the fallback theme contains all icons for all apps, including KDE apps.

Oliver R. (oliverr) wrote :

I cannot find "Icons" in "Xfce Settings >> KDE System Settings". Any hint?

I'm running Linux Mint 18 Xfce 64 bit.

Trogel (trogel) wrote :

> I cannot find "Icons" in "Xfce Settings >> KDE System Settings". Any hint?

In my (quite outdated) Xubuntu 15.10 I see the "Icons" in "KDE System Settings". It seems, it uses the packages plasma-desktop and libkf5iconthemes5 (amongst others). Do you have both installed?

Oliver R. (oliverr) wrote :

Thanks for the hint. Now the workaround worked!

astroboy (dreamnext) wrote :

In my case, using Bodhi Linux 4.0, the solution was installing kde-config-gtk-style and libqt5libqgtk2, AS WELL AS adding the line XDG_CURRENT_DESKTOP=gnome to /etc/environment. Without that line, did not matter to have those two packages installed. I did not have to install systemsettings package because the Moksha desktop includes a config app to choose the main icon set.

Jasem Mutlaq (mutlaqja) wrote :

Is there a way to solve this without hacks?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kstars (Ubuntu):
status: New → Confirmed
Cosmin Saveanu (csaveanu) wrote :

A solution that involves minimal hacks, but applies to individual apps one by one is to change the XDG_CURRENT_DESKTOP variable only when launching the problematic programs.

For Kate, for example:

1. Copy the .desktop file (in Ubuntu 17.04, with XFCE, I also have KDE Plasma installed):
> cp /usr/share/applications/org.kde.kate.desktop ~/.local/share/applications/org.kde.kate.desktop

2. Open the file (for example):
> cd ~/.local/share/applications/
> gedit org.kde.kate.desktop

3. Change the launch line from
Exec=kde kate -b %U
 to
Exec=env XDG_CURRENT_DESKTOP=kde kate -b %U

4. Make the file executable (in the file properties through Thunar)

As the user launcher files have precedence over the system ones, this works. You might try also to use "gnome" as the value of the XDG_CURRENT_DESKTOP variable. I did not want to change it system-wide becaus it is set by XFCE to "XFCE".

miasma (miasma) wrote :

I had installed Ubuntu Studio 16.04.3 recently after using an upgraded 16.04.2 on the same computer. I had previously installed a full KDE desktop on top of Ubuntu Studio 16.04.2 and had the same problem reported here, but I was able to get the icons to show by using the /etc/environment XDG_CURRENT_DESKTOP="KDE" workaround. After some unrelated issues with full KDE on 16.04.2 I decided to go back to square one and install Ubuntu Studio 16.04.3 from a downloaded ISO. I decided not to install the full KDE desktop but to only install the KDE apps I like to use, Konsole, Konqueror, Dolphin and a few others.

Everything works except most of my favorite KDE apps are not displaying any icons. Konqeror seems to be only missing icons on the splash page at start up but displays toolbar, side panel and folder icons using what appears to be Breeze icons. Kate displays icons in the side bars but not the toolbar. Dolphin displays no icons at all except a single icon in the info panel that represents the currently selected item. Also of note is Dolphin displaying icons of folders that contain one or more images. These icons also look like they are Breeze icons with up to 4 tiny thumbnails of the images in the folder.

Since in 16.04.2 I was able to restore views of icons with the /etc/environment workaround it was the first thing I tried, but though it worked before it failed to work in my new 16.04.3 desktop where I did not install the full KDE Desktop. I did extensive research, installed all the recommended files, edited configuration files, and none of the workarounds found here or any other sites have given me a fix or a good workaround.

If anyone is interested in more detail of my situation, upon request I will make more information available.

Adam (shemtov) wrote :

I am running Lubuntu 16.04.3,
These are the steps which fixed the icons on dolphin for me:

1) sudo apt-get install oxygen5-icon-theme libqt5libqgtk2
2) Menu -> Preferences -> Customize Look and Feel -> Icon Theme -> Click on Oxygen -> Apply

:-)

Adam (shemtov) wrote :

I created a new Icon set by mixing up Lubuntu and Oxygen, to keep Lubuntu's look and feel and allowing Dolphin to run with all its icons. The folders for "mimetypes" are all Lubuntu, the folders for "places" is mostly Lubuntu. And the rest are from Oxygen.
I called it Lubuntu Dolphin, the name can be changed in the index.theme file.
The "Lubuntu Dolphin" folder should be placed in /usr/share/icons/.

Adam,

If this bug is related with Lubuntu, shouldn't you send to their mailing
list instead?
Thank you for reporting the bug regardless.

Regards,
Gustavo

On Sun, 13 Aug 2017, 18:35 Adam Shem-Tov, <email address hidden>
wrote:

> I created a new Icon set by mixing up Lubuntu and Oxygen, to keep
> Lubuntu's look and feel and allowing Dolphin to run with all its icons. The
> folders for "mimetypes" are all Lubuntu, the folders for "places" is mostly
> Lubuntu. And the rest are from Oxygen.
> I called it Lubuntu Dolphin, the name can be changed in the index.theme
> file.
> The "Lubuntu Dolphin" folder should be placed in /usr/share/icons/.
>
> ** Attachment added: "Lubuntu Icon set which is compatible with Dolphin"
>
> https://bugs.launchpad.net/ubuntu/+source/dolphin/+bug/1509562/+attachment/4931755/+files/Backup-Icon-Lubuntu-Dolphin.tar
>
> --
> You received this bug notification because you are a member of Kubuntu
> Bugs, which is subscribed to kate in Ubuntu.
> https://bugs.launchpad.net/bugs/1509562
>
> Title:
> no icons for menu, folders, directories, files
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/dolphin/+bug/1509562/+subscriptions
>
> --
> kubuntu-bugs mailing list
> <email address hidden>
> https://lists.ubuntu.com/mailman/listinfo/kubuntu-bugs
>
--
Best Regards / Obrigado e com os melhores cumprimentos,
Gustavo Silva

Adam (shemtov) wrote :

Gustavo,
I am not reporting a bug, the bug has been reported, I am replying to it.
It is the same bug, for ubuntu, xubuntu, lubuntu....
As far as I can tell the Icon Set that I uploaded can be used by all versions, so it is as helpful here as it would be at Lubuntu.
Enjoy.

Gustavo Silva (gsilvapt) wrote :

Adam,

Apologies for stepping in. It seemed a Lubuntu specific bug and only
Kubuntu was referenced in previous messages. I didn't see the bug report in
Launchpad.

Regards,
Gustavo

On Sun, 13 Aug 2017, 19:24 Adam, <email address hidden> wrote:

> Gustavo,
> I am not reporting a bug, the bug has been reported, I am replying to it.
> It is the same bug, for ubuntu, xubuntu, lubuntu....
> As far as I can tell the Icon Set that I uploaded can be used by all
> versions, so it is as helpful here as it would be at Lubuntu.
> Enjoy.
>
> --
> You received this bug notification because you are a member of Kubuntu
> Bugs, which is subscribed to kate in Ubuntu.
> https://bugs.launchpad.net/bugs/1509562
>
> Title:
> no icons for menu, folders, directories, files
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/dolphin/+bug/1509562/+subscriptions
>
> --
> kubuntu-bugs mailing list
> <email address hidden>
> https://lists.ubuntu.com/mailman/listinfo/kubuntu-bugs
>
--
Best Regards / Obrigado e com os melhores cumprimentos,
Gustavo Silva

The attachment "Lubuntu Icon set which is compatible with Dolphin" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
deeenes (turei-denes) wrote :

Had the same issue on Arch Linux. Manually replacing hicolor directory with oxygen worked for kate but resulted issues at other apps. Finally this resolved the whole problem: http://www.webupd8.org/2015/11/configure-qt5-application-style-icons.html

Hachmann (marenhachmann) wrote :

Thank you for the workaround in comment #16 - krusader and kate are a lot easier to use now.

Still present in 18.04. Installing Oxygen theme and systemsettings and setting substitutions icons to oxygen solves the problem. TODO: Add to some package configure script!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.